curl --request GET \
--url https://api.jtl-cloud.com/erp/v2/production-items/{id} \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v2/production-items/{id}"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v2/production-items/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"itemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"lotType": 0,
"productionType": 0,
"createDate": "2023-11-07T05:31:56Z",
"updateDate": "2023-11-07T05:31:56Z",
"lotLabelTemplateKey": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"singleItemLabelTemplateKey": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"updateUserId": "b45f6432-2462-4c6f-b00f-1d9d01000000"
}Retrieves a production item by its ID.
Retrieves a production item by its ID.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
The tenant ID for the target ERP instance.
Path Parameters
Der Schlüssel eines Produktionsartikels.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Response
A production item.
The ID of this production item.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
The ID of the item underlying this production item.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Defines the type of lot size configuration for this production item.
0, 3 Defines the type of manufacturing of this production item.
0, 1 The timestamp when this production item was created.
The timestamp when this production item was last modified.
The ID of a template to be used for printing an item label when a lot is completed, or NULL if no item label should be printed on completion.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
The ID of a template to be used for printing an item label for each produced unit when a lot is completed, or NULL if no item label for each produced unit should be printed on completion.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
The ID of the user who last modified this production item, or NULL if this production item has not been modified yet.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Was this page helpful?